require 'rho/rhocontroller'
require 'helpers/browser_helper'
require 'date'

class LoginController < Rho::RhoController
  include BrowserHelper

  SERVER_URL = "http://192.168.1.212:3000"
  $cookies = nil 
  $date = nil 
  
  def index
    render
  end

  def do_login
    Rho::AsyncHttp.post(
      :url  => SERVER_URL + "/_admin/login.json",
      :body => "account=#{@params['login']}&password=#{@params['password']}&mobile_password=#{@params['password']}",
      :callback => (url_for(:action => :login_callback)) 
    )
    render :action => :index
  end

  def login_callback
    #通信に成功したかどうか
    if @params['status'] == 'error'
      msg = "通信に失敗しました"
      Alert.show_popup(
        :message => msg,
        :buttons => ["了解"]
      )
    elsif @params['body'] == 'false'
      msg = "ログインに失敗しました"
      Alert.show_popup(
        :message => msg,
        :buttons => ["了解"]
      )
    else
      User.delete_all
      User.create(@params['body'])
      Rho::AsyncHttp.get(
        :url => SERVER_URL + '/gw/schedules.json',
        :headers => {"Cookie" => "#{@params['cookies']}"},
        :callback => (url_for(:action => :http_callback))
      )
    end
    $cookies = @params['cookies']
    render :action => :index
  end
  
  def http_callback
    if @params['status'] == 'error'
      msg = "通信に失敗しました"
      Alert.show_popup(
        :message => msg,
        :buttons => ["了解"]
      )
    else
      Schedule.delete_all
      @params['body'].each do |data|
        Schedule.create(data)
      end
      $date = Date.today
      WebView.navigate(url_for(:controller => :Schedule, :action => :index))
    end
    render :action => :index
  end
end
